/* 
 ***********************************************************
 $SNARK_Header: S N A R K  1 4 - A PICTURE RECONSTRUCTION PROGRAM $
 $HeadURL: svn://dig.cs.gc.cuny.edu/snark/trunk/src/snark/eval.h $
 $LastChangedRevision: 137 $
 $Date: 2014-07-15 16:38:33 -0400 (Tue, 15 Jul 2014) $
 $Author: bprommegger $
 ***********************************************************
 */

#ifndef EVAL_H
#define EVAL_H

#define MXNREG 40

class Object
{
public:
	INTEGER objcod;
	REAL cx;
	REAL cy;
	REAL u;
	REAL v;
	REAL ang;
	REAL t1;
	REAL t2;
	INTEGER npt;
	REAL avep;
};

class eval_Object_Node
{
public:
	Object data;
	eval_Object_Node *next;
};

extern class Eval_class
{
private:
	Object *Obj;
	BOOLEAN *objdon;     // moved from subreg.cpp - bug112 - swr - 6/10/05

	INTEGER ObjN;

	void subreg(INTEGER ObjJ);
	void dist(INTEGER isw, REAL* a, REAL* b, BOOLEAN linef, INTEGER* list,
			REAL* weight, INTEGER flag, REAL* ave, REAL* dis, REAL* rel,
			REAL* var, REAL* std, REAL* resid, BOOLEAN fresid, REAL* klds,
			BOOLEAN fklds, REAL* wsqd, BOOLEAN fwsqd);
	void getden(BOOLEAN* flagdw, INTEGER ObjJ);
	void getdens(BOOLEAN* flagdw, eval_Object_Node *o_node);
	void point(REAL* a, REAL* b, REAL* c, INTEGER nelem, INTEGER* nerr,
			REAL*epsil);

public:
	void eval_1();

} Eval;

#endif
