/** @file displaywidget.hpp
    @package snark14Display
    @author Bruno M. Carvalho and Deniz Sarioz
    licensed under (open-source) QPL v1.0
    which accompanies this distribution in the file QPL
*/

#ifndef DISPLAYWIDGET_H
#define DISPLAYWIDGET_H

#include <qvariant.h>
#include <qwidget.h>

class displayWidget : public QWidget
{ 
    Q_OBJECT

public:
    displayWidget( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    ~displayWidget();
protected:
    void mousePressEvent(QMouseEvent* e);
signals: 
    void clicked(int,int);
};

#endif // DISPLAYWIDGET_H
