/*
 ***********************************************************
 $SNARK_Header: S N A R K  1 4 - A PICTURE RECONSTRUCTION PROGRAM $
 $HeadURL: svn://dig.cs.gc.cuny.edu/snark/trunk/src/snark/art_clip.cpp $
 $LastChangedRevision: 85 $
 $Date: 2014-07-02 16:07:08 -0400 (Wed, 02 Jul 2014) $
 $Author: agulati $
 ***********************************************************

 GET CONSTRAINED VALUES BY ART2 WAY
 */

#include <cstdio>

#include "blkdta.h"
#include "modefl.h"

#include "art.h"

REAL art_class::clip(REAL temp, REAL thrlo, REAL thrup, REAL relax)
{
	if (!((temp >= thrlo) && (temp <= thrup)))
	{
		if (Modefl.lofl || Modefl.upfl)
		{

			if (Modefl.lofl && (temp < thrlo))
			{
				temp += relax * (Modefl.lower - temp);
			}

			if (Modefl.upfl && (temp > thrup))
			{
				temp += relax * (Modefl.upper - temp);
			}
		}
	}
	return temp;
}
