/* 
 ***********************************************************
 $SNARK_Header: S N A R K  1 4 - A PICTURE RECONSTRUCTION PROGRAM $
 $HeadURL: svn://dig.cs.gc.cuny.edu/snark/trunk/src/snark/file11.h $
 $LastChangedRevision: 85 $
 $Date: 2014-07-02 16:07:08 -0400 (Wed, 02 Jul 2014) $
 $Author: agulati $
 ***********************************************************
 */

#ifndef FILE11_H
#define FILE11_H

#include "inputfile.h"

extern class File11_class: public InputFile_class
{
private:

public:
	BOOLEAN isOpen;

	INTEGER Open(BOOLEAN wr);
	void CreaInPicture();
	void CreaInProj();

	bool ReadProjection(REAL* beta, REAL* ibase, INTEGER usrays);

	void Close();
	void wrhdr(INTEGER word);
	void Flush();
	void Rewind();
	void WriteRowOfPhanPixels(REAL* test_aray, INTEGER nelem);
	void WriteEndOfPhan();
	void WriteProj(REAL theta, REAL* nlo, INTEGER usrays);
	void WriteEndOfProj();
	void ReadPicture(REAL* Pict, INTEGER nelem);
} File11;

#endif
