/*
 ***********************************************************
 $SNARK_Header: S N A R K  1 4 - A PICTURE RECONSTRUCTION PROGRAM $
 $HeadURL: svn://dig.cs.gc.cuny.edu/snark/trunk/src/snark/lino_sumfac.cpp $
 $LastChangedRevision: 80 $
 $Date: 2014-07-01 21:01:54 -0400 (Tue, 01 Jul 2014) $
 $Author: agulati $
 ***********************************************************

 Sum of the prime factors of num
 */

#include <cstdio>

#include "blkdta.h"
#include "primfc.h"

#include "lino.h"

INTEGER lino_class::sumfac(INTEGER num)
{
	INTEGER sum, m2s, nipf, mnipf, k;

	INTEGER* ipf;

	mnipf = 2;

	while ((1 << mnipf) < num)
	{
		mnipf++;
	}

	ipf = new INTEGER[mnipf];
	primfc(num, &m2s, &nipf, ipf, mnipf);
	sum = 2 * m2s;

	for (k = 0; k < nipf; k++)
	{
		sum += ipf[k];
	}

	delete[] ipf;  // bug 92 - Lajos - 03/02/2005

	return sum;
}
