/* 
 ***********************************************************
 $SNARK_Header: S N A R K  1 4 - A PICTURE RECONSTRUCTION PROGRAM $
 $HeadURL: svn://dig.cs.gc.cuny.edu/snark/trunk/src/snark/sirt.h $
 $LastChangedRevision: 97 $
 $Date: 2014-07-02 20:07:41 -0400 (Wed, 02 Jul 2014) $
 $Author: agulati $
 ***********************************************************
 */

#ifndef SIRT_H
#define SIRT_H      

#include "alg.h"

class sirt_class: public alg_class
{
private:
	FILE* Xalg3User1;
	FILE* Xalg3User2;

	INTEGER hmeth;INTEGER hgsir;INTEGER hlsir;INTEGER hstar;INTEGER hnorm;INTEGER hrela;INTEGER hsigm;INTEGER hback;

	REAL* w1;REAL* w2;REAL* w3;REAL* gen_inv_dn;REAL* vector_b;REAL* pbase;INTEGER* sbase;

public:
	INTEGER Init();BOOLEAN Run(REAL* recon, INTEGER* list, REAL* weight, INTEGER iter);INTEGER Reset();
};

#endif // SIRT_H
